Commit f89f0da4 authored by T.J. Corona's avatar T.J. Corona

Add patch for meshkit to work with Cubit >= 15.1

parent 032224c0
Pipeline #133615 passed with stage
......@@ -11,6 +11,9 @@ superbuild_add_project(meshkit
-DWITH_MPI:BOOL=OFF
-DENABLE_TESTING:BOOL=OFF)
superbuild_apply_patch(meshkit rgg16-option-for-cubit-15.1
"Use script updates for Cubit >= 15.1")
# MOAB has public headers which include Eigen, but it doesn't add the include
# flags properly.
superbuild_append_flags(cxx_flags "-I<INSTALL_DIR>/include/eigen3" PROJECT_ONLY)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 7cdf87b4..24ddc833 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -186,6 +186,10 @@ if (ENABLE_QUADMESHER)
add_definitions(-DHAVE_QUADMESHER)
endif ()
+if (ENABLE_RGG)
+ add_definitions(-DHAVE_RGG16)
+endif ()
+
if (ENABLE_PYTHON OR TRUE) # XXX: unconditional in autotools?
#add_subdirectory(python)
endif ()
@@ -217,4 +221,3 @@ if ( ENABLE_TESTING )
enable_testing()
add_subdirectory( test )
endif()
-
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment